



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Spring读取配置文件</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Spring读取配置文件</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-04 12:59:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在spring中可以通过下面的方式将配置文件中的项注入到配置中</p>
<pre class="prettyprint linenums">       &lt;bean
        class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer"&gt;
        &lt;property name="systemPropertiesModeName" value="SYSTEM_PROPERTIES_MODE_OVERRIDE" /&gt;
        &lt;property name="ignoreResourceNotFound" value="true" /&gt;
        &lt;property name="locations"&gt;
            &lt;list&gt;
                &lt;!-- standard config --&gt;
                &lt;value&gt;classpath*:application.properties&lt;/value&gt;
            &lt;/list&gt;
        &lt;/property&gt;
    &lt;/bean&gt;

    &lt;bean id="cacheManager" class="cn.outofmemory.util.MemCacheManager" init-method="init"&gt;
        &lt;property name="nodeList"  value="${memcache.nodelist}"/&gt;
        &lt;property name="initConn" value="${memcache.initConn}"/&gt;
        &lt;property name="minConn" value="${memcache.minConn}"/&gt;
        &lt;property name="maxConn" value="${memcache.maxConn}"/&gt;
        &lt;property name="maxIdle" value="${memcache.maxIdle}"/&gt;
        &lt;property name="maintSleep" value="${memcache.maintSleep}"/&gt;
    &lt;/bean&gt;</pre>
<p>但是这样的注入没有办法通过程序来访问properties文件中的内容，spring还提供了<code>org.springframework.core.io.support.PropertiesLoaderUtils</code>类可以方便的载入配置文件，如下两行代码：</p>
<pre class="prettyprint linenums">Resource resource = new ClassPathResource("/application.properties");
Properties props = PropertiesLoaderUtils.loadProperties(resource);</pre>
<p>需要引用下面的类：</p>
<pre class="prettyprint linenums">import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PropertiesLoaderUtils;</pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q27oo87.html">《C&num;开发常用免费WebServices集合》</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdppe7q.html">Windows10下的JDK环境配置。</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kn5e78.html">奥威软件Speed-BI荣获2016年度中国大数据最佳云平台奖</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7n5619.html">android开发-mvp模式理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlko308.html">第五章   搭建 S3C6&period;410 开发板的 测试环境</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jl2veq.html">安装zabbix报错configure&colon; error&colon; libcurl library not found</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8erx1xq.html">SignalR入门之基本介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kllvrq.html">iframe框架中用js改变父级Url</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zz0jz9.html">iOS应用程序间共享数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wzd6xq.html">js 遇到 Permission denied to access property &ast;&ast;&ast;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mem1ypq.html">perl 面向对象 new方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me6pppq.html">第十四，十五周PTA作业</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p2nj48.html">在Android项目中使用Java8</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zr5pe9.html">三、Dockerfile的说明和编写</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwvn778.html">Java：Cookie实现记住用户名、密码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2zeyrq.html">java Scanner类的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jw4o0q.html">【转】ORA-00257：archiver error&period; 错误的处理方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2vn3oq.html">Python基础学习（五）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r6gm58.html">P3167 &lbrack;CQOI2014&rsqb;通配符匹配</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppdr679.html">rabbitMQ在linux上安装</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9j0zwdlq.html">网络-数据包在路由转发过程中MAC地址和IP地址，变与不变</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdgo348.html">C&num;综合揭秘&mdash;&mdash;深入分析委托与事件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd1e4xq.html">关于web&period;config中customErrors</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okjxlx9.html">redis&period;conf配置文件详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvv25ooq.html">swagger-editor   快速REST-API 测试文档编写</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjwno79.html">查看 activex 组件的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j01m04q.html">Eclipse给方法分配足够的内存</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxndlx08.html">LintCode &amp;quot&semi;Triangle Count&amp;quot&semi;</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o0m6y9.html">&lpar;转&rpar;mongodb分片</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdewdj79.html">Window下Nexus私服搭建</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
